Subject: [RFC 4287] unicity of atom:category element

From: Nicolas Krebs <[email-masked]>
Date: Mon, 26 Jun 2006 23:53:54 +0200

Thanks for your previous answer. 

Excerpt quoted from section 4.2.2 of urn:ietf:rfc:4287
( http://tools.ietf.org/html/rfc4287#section-4.2.2 )

> 4.2.2.1.  The "term" Attribute

> The "term" attribute is a string that identifies the category 

Is the term attribute an unique identifiers ? 

How can i manage the homonym ? 

Could an atom 1.0 feed contain some item whith 
"<category scheme='http://www.tbray.org/ongoing/tag/' term='Java' 
somexmlns:href='http://www.tbray.org/ongoing/What/Technology/Coding/Java/' />
and other item with 
"<category scheme='http://www.tbray.org/ongoing/tag/' term='Java' 
somexmlns:href='http://www.tbray.org/ongoing/What/Technology/Sun/Java/' />
where the first Java is not the same as the second ?

---

From: "A. Pagaltzis" <[email-masked]>
Date: Tue, 27 Jun 2006 00:23:09 +0200

> where the first Java is not the same as the second ? 

The term is machine readable. The label is human readable.

    <category
        scheme='http://www.example.org/cat/'
        term='http://www.example.org/cat/Technology/Coding/Java/'
        label='Java'
    />
    <category
        scheme='http://www.exmple.org/'
        term='http://www.example.org/cat/Technology/Sun/Java/'
        label='Java'
    />

Regards,
-- 
Aristotle Pagaltzis // <http://plasmasturm.org/>

---

From: "Thomas Broyer" <[email-masked]>
Date: Tue, 27 Jun 2006 13:39:13 +0200

> Is the term attribute an unique identifiers ?

My interpretation of atom:category is that scheme+term defines a
unique identifier, much the same as a QName in XML.
I might be wrong however, as RFC4287 is completely silent on this...

> How can i manage the homonym ?

Use different categorization schemes ;-)

> somexmlns:href='http://www.tbray.org/ongoing/What/Technology/Sun/Java/' />

Yes.

Note that you could also have those two atom:category elements in the
same atom:entry, as RFC4287 puts no constraint at all on categories
(unlike atom:link elements).

> where the first Java is not the same as the second ?

With the same scheme and term, aggregators (or other Atom processors)
are very likely to consider them the exact same category.
I think the producer of such a feed would be wrong using the same
scheme and term for (conceptually) different categories...

-- 
Thomas Broyer

---

From: "Laurent Le Meur" <[email-masked]>
Date: Tue, 27 Jun 2006 17:29:05 +0200

> Aristotle Pagaltzis // <http://plasmasturm.org/>

Aristotle,

I agree with your statement but feel your example somewhat misleading. From my
understanding:

- A 'term' is a token (syntactically a string) used for indexing; in the absence
of an associated scheme it is processed as a free keyword/tag. There's no real
reason to make it a URI, but it can be a number (eg ISBN code).

- A 'scheme' is the identifier of a controlled vocabulary = a set of terms. It's
an IRI. It is optional, but 'scopes' the term, so ambiguities are avoided. If
present {scheme,term} is a tuple that unambiguously identifies a resource.
{http://www.software.org/, java} and { http://www.island.org/ , java} are
clearly different categories.

A note regarding the {scheme, code} tuple: the spec does not indicate how more
information about the category can be found, using some form of concatenation of
the scheme URI + term.

- A 'label' is a human readable string associated with a category code (term).

A note regarding 'label':= limitations of the spec are:
- it is not possible to represent several labels in different languages
- it is not possible to apply i18n attributes like 'dir' to a label.

Best regards
Laurent Le Meur
AFP

-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

This e-mail, and any file transmitted with it, is confidential and  intended solely for the use of the individual or entity to whom it is addressed. If you have received this email in error, please  contact the sender and delete the email from your system. If you are  not the named addressee you should not disseminate, distribute or copy  this email.

For more information on Agence France-Presse, please visit our web site at http://www.afp.com

-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

---

From: James M Snell <[email-masked]>
Date: Tue, 27 Jun 2006 08:52:52 -0700

Slight addition to this,

The scheme not only disambiguates the term, it also identifies the means
of interpreting the term.  For instance, Tim Bray's feed uses a
scheme/term combo that can be concatenated to form a meaningful,
dereferencable URI.

- James

---

From: "Robert Sayre" <[email-masked]>
Date: Tue, 27 Jun 2006 12:11:21 -0400

> scheme/term combo that can be concatenated to form a meaningful,

There's no spec text to back this up. A convention might emerge, but
let's not BS it.

-- 

Robert Sayre

"I would have written a shorter letter, but I did not have the time."